Subject: Re: [SIP] New draft on SIP registration

From: "Robin Escolme" <[email-masked]>
Date: Thu, 12 Oct 2000 13:47:42 +0100

Hi,

I have the following questions/comments;

>Assumptions
>
>We assume that each terminal is configured with a permanent user
> address, a SIP URI, such as [email-masked]. This identifier may
>be embedded in the communications device, established via local login
>into a shared computer or carried in some form of token, such as
>SIM, smartcard, iButton or magnetic swipe card.

I assume you are refering to 'personal communication' devices, such as a laptop
PC, or a cellphone, when configuring with a permanent user address. For a shared
device - eg, a deskphone, or shared computer, the examples of swipe card, smart
card, etc imply the terminal assumes the address of the user - ie, the holder of
the swipe card, for the period of the registration. This then is a temporary
address as far as the terminal is concerned.

Further to this, does not each terminal have its own identity - ie, host name?
For example, 'termA.visited.net', etc. This can then be used within a contact
address.

>We define a traveling user or visitor as a SIP end point that is
 >visiting a domain other than the domain indicated in its SIP URI.

The use of end point implies the terminal is mobile, as well as the user. Or is
the swipe card referred to as an end point? This would make sense since the
owner of the swipe card is mobile by viurtue of the fact that he has a swipe
card. My assumption is that you are referring to personal mobility, where the
person uses a swipe card (or similar) to register his identity at different
terminals.

>Home registration only: In this model, the visiting user simply
>            acquires a local IP address in the visited network and
>           sends a registration with a Contact header indicating that
>             address.
>
>    REGISTER sip:wonderland.com SIP/2.0
>             To: <sip:[email-masked]>
>             From: <sip:[email-masked]>
>             Contact: sip:[email-masked]
>
>             It makes no difference here whether the visited network
>             provides SIP services or not. An outbound proxy can be
>             used, but it simply forwards the REGISTER request based on
>             its request URI.
>             This approach works only if the visited network does not
>             use a firewall.

Surely each terminal is configured with a host id. This can be supplied as the
contact address rather than the absolute IP address, then there will be no
problem with the use of firewalls. The contact address might be

     Contact: sip:[email-masked]

>Outbound proxy intercept: Here, the outbound proxy intercepts
>             the registration request and changes the Contact address to
>             its own address. It has to create a new temporary user
>             identifier that allows it to identify incoming requests for
>             that visiting user.

Can you give an example of the contact address in this case. Would it be
something like

     Contact: sip:[email-masked]

I don't understand the need for a temporary user identity. The To: field in any
INVITE will contain [email-masked] - why isn't this sufficient to identify
the user? (I am assuming the proxy server in visited.net can index a record
using [email-masked]). If the canonical name is used, how is it signaled
to the home registrar - in the contact address? (But then the proxy server is
not identified).

Thanks,

Robin Escolme

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip

---

From: Henning Schulzrinne <[email-masked]>
Date: Thu, 12 Oct 2000 12:02:59 -0400

> address as far as the terminal is concerned.

Yes.

> For example, 'termA.visited.net', etc. This can then be used within a contact

I added this, but it is a host address, not a user@host. Also, this
identifier is temporary and might change when connecting to different
networks. It may also not be globally reachable.

> The use of end point implies the terminal is mobile, as well as the user.

Yes, the terminal or identity is moved to a different network. Could be
a laptop or a "payphone" with a swipe card reader. In both cases, my
identity ([email-masked]) shows up outside my local network
(cs.columbia.edu).

I will try to clarify this in the next revision.

>  Or is

Yes, that's it.

>      Contact: sip:[email-masked]

Not true. Ever tried to connect to a host inside a firewall from the
outside?

>      Contact: sip:[email-masked]

No:

Contact: sip:[email-masked]

Since there could be lots of Alice's visiting at the same time.

> to the home registrar - in the contact address? (But then the proxy server is

The problem is that